# Preparation times

## Get preparation times

<mark style="color:green;">`GET`</mark> `https://api.zapiet.com/v1.0/:checkoutMethod/location/:locationId/preparation_times`

This endpoint will return a list of preparation times.

#### Path Parameters

| Name                                             | Type    | Description                                                                                               |
| ------------------------------------------------ | ------- | --------------------------------------------------------------------------------------------------------- |
| checkoutMethod<mark style="color:red;">\*</mark> | string  | The checkout method you would like to validate against. Valid values are; pickup, delivery, and shipping. |
| locationId<mark style="color:red;">\*</mark>     | numeric | The Zapiet location ID.                                                                                   |

#### Query Parameters

| Name                                   | Type   | Description                             |
| -------------------------------------- | ------ | --------------------------------------- |
| shop<mark style="color:red;">\*</mark> | string | The merchant's myshopify.com store url. |

{% tabs %}
{% tab title="200 Preparation times successfully retrieved." %}

```javascript
{
    "general": {
        "enabled": true,
        "monday": {
            "breakpoint": {
                "enabled": false,
                "value": "14:00"
            },
            "before": {
                "format": "hours",
                "value": 1
            },
            "after": {
                "format": "hours",
                "value": 2
            }
        },
        "tuesday": {
            "breakpoint": {
                "enabled": false,
                "value": "14:00"
            },
            "before": {
                "format": "hours",
                "value": 1
            },
            "after": {
                "format": "hours",
                "value": 2
            }
        },
        "wednesday": {
            "breakpoint": {
                "enabled": true,
                "value": "14:00"
            },
            "before": {
                "format": "hours",
                "value": 1
            },
            "after": {
                "format": "hours",
                "value": 2
            }
        },
        "thursday": {
            "breakpoint": {
                "enabled": true,
                "value": "14:00"
            },
            "before": {
                "format": "hours",
                "value": 1
            },
            "after": {
                "format": "hours",
                "value": 2
            }
        },
        "friday": {
            "breakpoint": {
                "enabled": true,
                "value": "14:00"
            },
            "before": {
                "format": "minutes",
                "value": 30
            },
            "after": {
                "format": "minutes",
                "value": 30
            }
        },
        "saturday": {
            "breakpoint": {
                "enabled": true,
                "value": "14:00"
            },
            "before": {
                "format": "days",
                "value": 1
            },
            "after": {
                "format": "days",
                "value": 2
            }
        },
        "sunday": {
            "breakpoint": {
                "enabled": true,
                "value": "14:00"
            },
            "before": {
                "format": "days",
                "value": 1
            },
            "after": {
                "format": "days",
                "value": 3
            }
        }
    },
    "product_based": [
        {
            "product_external_id": "8184259576032",
            "preparation_enabled": 1,
            "preperation_value": 300,
            "preparation_format": "hours"
        },
        {
            "product_external_id": "8184259674336",
            "preparation_enabled": 1,
            "preperation_value": 2880,
            "preparation_format": "days"
        },
        {
            "product_external_id": "8184259346656",
            "preparation_enabled": 1,
            "preperation_value": 30,
            "preparation_format": "minutes"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapiet.com/reference/preparation-times.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
